Bug 402661 - Openvrml fails to build agains xulrunner (gecko-libs 1.9)
Openvrml fails to build agains xulrunner (gecko-libs 1.9)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: openvrml (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Braden McDaniel
Fedora Extras Quality Assurance
:
Depends On: 402521
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-28 08:25 EST by Martin Stransky
Modified: 2007-12-13 02:37 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-03 13:27:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Martin Stransky 2007-11-28 08:25:28 EST
Description of problem:

Openvrml fails to compile against XUL Runner (gecko-libs 1.9) in rawhide. XUL
Runner will be a gecko-libs provider in Fedora 9 and all gecko-libs packages
have to be rebuilt aginst it. (see
http://fedoraproject.org/wiki/Releases/FeatureXULRunner).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Braden McDaniel 2007-11-28 10:36:53 EST
Do you have any more information about the nature of the failure?

There is certainly a predicate issue at the moment in that openvrml will not build *at all* due to bug 
402521. That's got nothing to do with xulrunner.
Comment 2 Martin Stransky 2007-11-28 13:18:24 EST
The compilation completely freezes and crashes my box (it seems it uses more
than 2GB memory?) so I can't say where the problem is. I'll add some swap and
try it again...
Comment 3 Braden McDaniel 2007-11-28 15:03:00 EST
... And set __smpflags to 1 to curb memory usage.
Comment 4 Martin Stransky 2007-12-03 08:28:56 EST
(In reply to comment #3)
> ... And set __smpflags to 1 to curb memory usage.

How exactly can I set/use it? It still freezes my box :(
Comment 5 Braden McDaniel 2007-12-03 09:48:35 EST
More accurately, you could set it to -j1. And even more accurately, the name is
"_smp_mflags". It's an rpm macro. And unless you're on an SMP system, it should
default to being empty (which has the same effect as -j1).

If you *are* on an SMP system, adding "%_smp_mflags -j1" to your ~/.rpmmacros
should work.

I'd expect 2GB to be adequate unless your system is SMP or 64-bit. In the former
case, the aforementioned incantation should help. In the latter, you should
probably just give up.
Comment 6 Martin Stransky 2007-12-03 09:57:41 EST
My system is 64-bit SMP :(
Comment 7 Braden McDaniel 2007-12-03 10:48:02 EST
Okay. So was this bug filed because of a problem with xulrunner (as the summary
suggests), or because your system doesn't have enough memory to build openvrml?
Comment 8 Martin Stransky 2007-12-03 11:03:00 EST
I filed this bug because I'm not able to compile openvrml (with or without
xulrunner) so I can't confirm the functionality.

But I belive you have to fiddle with the package configuration / spec file,
there are some changes what differ xulrunner from firefox.
Comment 9 Braden McDaniel 2007-12-03 13:27:31 EST
openvrml's configure will look for xulrunner-js.pc and xulrunner-plugin.pc. It should Just Work.

AFAIK, the only thing that should have to be changed in the transition to xulrunner is the version of 
gecko-libs that openvrml-xembed depends on (in the spec file).

Until there's some data to the contrary, I don't see a reason for this bug report to remain open.
Comment 10 Alex Lancaster 2007-12-13 01:36:39 EST
Seems to fail to build in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=290609

Not sure if this is related to xulrunner or not.
Comment 11 Braden McDaniel 2007-12-13 02:37:11 EST
It is not. See bug 402521.

Note You need to log in before you can comment on or make changes to this bug.